package org.systemsbiology.jrap.extension;

import org.systemsbiology.jrap.ScanHeader;

public class ExtScanHeader extends ScanHeader {
	
	protected float precursorIntensity = -1;
	protected String activationMethod = null;
	
	/**
	 * @return Returns the precursorCharge.
	 */
	public float getPrecursorIntensity()
	{
		return precursorIntensity;
	}
	
	/**
	 * @param precursorCharge
	 *            The precursorCharge to set.
	 */
	public void setPrecursorIntensity(float precursorIntensity)
	{
		this.precursorIntensity = precursorIntensity;
	}
	
	/**
	 * Activation or fragmentation method: ETD, ECD, CID, etc
	 * 
	 * @return
	 */
	public String getActivationMethod() {
		return activationMethod;
	}
	
	public void setActivationMethod(String activationMethod) {
		this.activationMethod = activationMethod;
	}
}
